#ifndef __CV_NODE_H__
#define __CV_NODE_H__

#include <napi.h>
#include <opencv2/opencv.hpp>

#define NODE_FUNCTION(name) Napi::Value name(const CallbackInfo &info)
#define NODE_FUNCTION_STATIC(name) static Napi::Value name(const CallbackInfo &info)

void InitMatAPI(Napi::Env env, Napi::Object exports);
void InitVideoCaptureAPI(Napi::Env env, Napi::Object exports);
void InitUtilAPI(Napi::Env env, Napi::Object exports);

#endif
